PEEKFD(1)

NAMN
peekfd - kika på fildeskriptorer för körande processer

SYNOPSIS
peekfd [-8,--eight-bit-clean] [-n,--no-headers] [-c,--follow] [-d,--duplicates-removed] [-V,--version] [-h,--help] pid [fd] [fd] ...

BESKRIVNING
peekfd fäster till en körande process och fångar upp alla läsningar och skrivningar till fildeskriptorer. Du kan ange det önskade fildeskriptornumret eller dumpa dem allihop.

FLAGGOR

-8  Gör ingen efterbehandling av läst eller skriven data.

-n  Visa inte huvuden som indikerar källan för de dumpade byten.

-c  Dumpa också den begärda fildeskriptoraktiviteten i nya barnprocesser som skapas.

-d  Ta bort duplicerade läsningar/skrivningar från utskriften. Om du tittar på den med en tty kan du vilja använda detta.

-v  Visa en versionssträng

-h  Visa ett hjälpmeddelande.

FILER
/proc/*/fd
    Används inte men användbart för användaren att titta på för att få bra fildeskriptornummer.

MILJÖ
Ingen.

DIAGNOSTIK
Följande diagnostik kan matas ut på stderr:

Fel vid koppling till pid <PID>
    Ett okänt fel inträffade vid fästning till en process, du kanske måste vara root.

FEL
Troligtvis många. Bli inte förvånad om processen du övervakar dör.

UPPHOVSMAN
Trent Waddington (trent.waddington@gmail.com)

SE VIDARE
ttysnoop(8)